/***************************************************************************
                          icebgset.h  -  description
                             -------------------
    begin                :    3 00:47:59 EEST 2002
    copyright            : (C) 2002 by Vadim A. Khohlov
    email                : xvadim@teko.kherson.ua
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ICEBGSET_H
#define ICEBGSET_H

// include files for QT
#include <qwidget.h>

class QString;

class QLineEdit;
class QListBox;
class QCheckBox;
class QLabel;
class QListBoxItem;

/**
  * This Class is the base class for your application. It sets up the main
  * window and providing a menubar, toolbar
  * and statusbar. For the main view, an instance of class IceBgSetView is
  * created which creates your view.
  */
class IceBgSetApp : public QWidget
{
  Q_OBJECT
  
  public:
    /** construtor */
    IceBgSetApp();
    /** destructor */
    ~IceBgSetApp();

private: // Private attributes
  /**  */
  QLineEdit *edColor;
  /**  */
  QListBox *lbImages;
  /**  */
  QCheckBox *cScaleImage;
  /**  */
  QLabel *lPreview;
  /**  */
  QLineEdit *edDirectory;
  /**  */
  QCheckBox *cCenteredBg;
  QCheckBox *cbIceWMVersion;
  /** Private directory with IceWM's configs.
   */
  QString icewmCfgDir;
private slots: // Private slots
  /** 
   * Opens colordialog for changing background color
   */
  void slotChangeColor();
  /** 
   * Reloads list of images
   */
  void slotReloadImages();
  /** 
   * Opens dialog for chosing directory with images
   */
  void slotDirSelect();
  /** No descriptions */
  void slotImageChanged(QListBoxItem *item);
  /** No descriptions */
  void slotSetOptions();
  /** No descriptions */
  void slotOk();
private: // Private methods
  /** 
   * Load current settings of IceWM's desktop
   */
  void loadCurrentSettings();
  /** No descriptions */
  void setPreviewImage(QString &imageFile);
};
#endif 

